\documentclass{standalone}

\usepackage{pgf,tikz,pgfplots}
\pgfplotsset{compat=1.15}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\begin{axis}[x=1cm,y=1cm,axis lines=middle,ymajorgrids=true,xmajorgrids=true,xmin=-3.5,xmax=3.5,ymin=-2.5,ymax=7.5,xtick={-4,-3,...,4},ytick={-3,-2,...,8},]
\clip(-3.5,-2.5) rectangle (3.5,7.5);
\end{axis}
\end{tikzpicture}
\end{document}